@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    border: 0;
    box-sizing: border-box;
    font-family: 'Space Grotesk', sans-serif;
}

body,html{
    background-color: #000;
    width: 100%;
}

.preloader{
    background: #151515 url("Assets/logo.png") no-repeat center center;
    background-size: 20%;
    width: 100%;
    height: 100vh;
    z-index: 9999999;
    position: fixed;
}


.backgroundimage{
    height: 100vh;
    width: 100%;
    position: relative;
    background-image: url("Assets/homepage_filtered.png");
    background-size: cover;
    background-position: 0px -200px !important;
    background-repeat: no-repeat;
    margin-bottom: 20rem;
    margin-top: -98px;
    padding-top: 98px;
}

header{
    width: 100%;
    height: 90px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #0000009f; 
    padding-left: 1.3rem;
    padding-right: 4rem;
    margin-bottom: 0.5rem;
    position: sticky;
    top:0;
    z-index: 1000;
}

.headerleft {
    display: flex;
    justify-content: flex-start;
    gap: 20px;
    color: white;
    align-items: center;
}

.headerleft a p {
    color: white;
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
}
.himg1{
    width: 210px;
    cursor: pointer;
}

.himg2{
    width: 80px;
    margin-top: 10px;
    margin-bottom: 10px;

    margin-left: -1rem;
    cursor: pointer;
}

.headerright{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 10%;
}

.headerright svg{
    cursor: pointer;
}

.headerright svg:hover g{
    fill: rgb(110, 13, 246);
    transition: all 0.1s ease;
}

.hero{
    display: flex;
    margin-top: 4rem;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    width: 47%;
    padding-left: 4.6rem;
}

.hero h1{
    font-weight: 800;
    font-size: 80px;
    line-height: 93px;
    color: rgba(255,255,255,0.87);
    margin-bottom: 2rem;
}

.hero p{
    font-weight: 700;
    font-size: 25px;
    line-height: 38px;
    color: rgba(255,255,255,0.87);
    margin-bottom: 2rem;
}

.herobuttons{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.herobuttons button{
    width: 48%;
    border-radius: 50px;
    height: 68px;
    font-weight: 700;
    font-size: 15px;
    line-height: 26px;
    color: rgba(255,255,255,1);
    letter-spacing: 2px;
    border: 1px solid #c07dff;
    cursor: pointer;
}

.heroborder{
    position: absolute;
    width: 100%;
    top:100vh;
    left: 0;
    background-color: #c07dff;
    height: 1px;
}


#btn1{
    background-color: #c07dff;
}

#btn2{
    background-color: #151515;
}

#btn1:hover{
    background-color: #151515;
    transition: 0.3s ease;
}


#btn2:hover{
    background-color: #c07dff;
    transition: 0.3s ease;
}

.imgdes-1{
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 12rem;
    padding-right: 4.6rem;
    padding-left: 4.6rem;
}

.leftside{
    width: 50%;
}

.leftside h2{
    color: rgba(255,255,255,0.87);
    font-weight: 800;
    font-size: 30px;
    line-height: 35px;
    margin-bottom: 1.5rem;
}

.leftside p{
    color: rgba(255,255,255,0.87);
    font-weight: 300;
    font-size: 16px;
    line-height: 27px;
}

footer{
    background-color: #151515;
    width: 100%;
    height: 185px;
    padding-left: 2rem;
    padding-right: 4rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    border-top: 1px solid #c07dff;
}

.links{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 140px;
    width: 100%;
}
.footerleft{
    height: 100%;
    width: 50%;
    display: flex;
    justify-content: flex-start ;
    align-items: center;
    gap: 20px;
    color: white;
    font-weight: 700;
    font-size: 2rem;
}
.footerleft p:hover, .footerleft a, .headerleft a {
    text-decoration: none;
}


.footernamelogo{
    margin-bottom: 2rem;
    height: 40px;
}


.footergif{
    margin-top: 1.5rem;
    height: 110px;
}

.footerright svg:hover{
    cursor: pointer;
}


.footerright svg:hover g{
    fill:rgb(110, 13, 246);
    transition: 0.1s ease;
}

.copyright{
    font-weight: 300;
    font-size: 16px;
    line-height: 19px;
    color: rgba(255,255,255,0.87);
}

#phone{
    position: absolute;
    top:72rem;
    right: 17rem;
    height: 300px;
}

#circle-teeth{
    position: absolute;
    top:92rem;
    left: 17rem;
    height: 300px;
}

#wallet{
    position: absolute;
    top: 112rem;
    right: 17rem;
    height: 300px;
}

#arrow{
    position: absolute;
    top: 132rem;
    left: 17rem;
    height: 300px;
}

#cube{
    position: absolute;
    top: 152rem;
    right: 17rem;
    height: 300px;
}

#circle-arrow{
    position: absolute;
    top: 170rem;
    left: 17rem;
    height: 300px;
}

.nice {  
    opacity: 0;
    transform: translateY(50px);
    transition: all 1.2s cubic-bezier(0.215, 0.610, 0.355, 1);
    animation-timing-function: linear;   
}
.nice#circle-teeth {
    scale: 0.7;
    animation: upDown 4s linear infinite;

}

@keyframes upDown {
    0% {
        transform: translateY(0%);
    }
    50% {
        transform: translateY(5%);
    }
    100% {
        transform: translateY(0%);
    }
}
  
@keyframes wiggle {
    0% { transform: scale(1.4) }
    15% { transform: scale(1) } 
    30% { transform: scale(1.25) } 
    45% { transform: scale(1) } 
    60% { transform: scale(1.07) } 
    75% { transform: scale(1) }
    90% { transform: scale(1.03) } 
    100% { transform: scale(1) } 
}

.nice.wiggle-now { 
    opacity: 1;
    transform: translateY(0);
    animation: wiggle 1s; 
}

::-webkit-scrollbar {
    width: 10px; 
}

::-webkit-scrollbar-thumb {
    background-color: #c07dff; 
    border-radius: 6px;
}

::-webkit-scrollbar-track {
    background-color: #151515;
}

.hello {
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.7s ease-out;
  }
  
.hellovisible {
    opacity: 1;
    transform: translateY(0);
}


.leftside {
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.7s ease-out;
  }
  
.leftsidevisible {
    opacity: 1;
    transform: translateY(0);
}
